Bug 679103 - [abrt] system-config-printer-1.2.6-3.fc14: options.py:365:get_current_value:TypeError: int() argument must be a string or a number, not 'NoneType'
Summary: [abrt] system-config-printer-1.2.6-3.fc14: options.py:365:get_current_value:T...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6f865066
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-21 15:45 UTC by Eric Miller
Modified: 2011-05-09 20:56 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.2.8-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-29 03:21:39 UTC


Attachments (Terms of Use)
File: backtrace (857 bytes, text/plain)
2011-02-21 15:45 UTC, Eric Miller
no flags Details
ppd for printer (15.17 KB, text/plain)
2011-02-21 21:16 UTC, Eric Miller
no flags Details


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 3803 None None None Never

Description Eric Miller 2011-02-21 15:45:53 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.35.11-83.fc14.x86_64
package: system-config-printer-1.2.6-3.fc14
reason: options.py:365:get_current_value:TypeError: int() argument must be a string or a number, not 'NoneType'
release: Fedora release 14 (Laughlin)
time: 1298303103
uid: 500

backtrace
-----
options.py:365:get_current_value:TypeError: int() argument must be a string or a number, not 'NoneType'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1148, in printer_properties_response
    failed = self.save_printer (self.printer)
  File "/usr/share/system-config-printer/system-config-printer.py", line 2241, in save_printer
    if (option.is_changed() or
  File "/usr/share/system-config-printer/options.py", line 330, in is_changed
    str (self.get_current_value()) != str (self.value))
  File "/usr/share/system-config-printer/options.py", line 365, in get_current_value
    return int(self.selector.get_active_text())
TypeError: int() argument must be a string or a number, not 'NoneType'

Local variables in innermost frame:
self: <options.OptionSelectOneNumber instance at 0x226afc8>

How to reproduce
-----
1. Opened Printer Preferences
2. Changed to Draft Color
3. Hit Apply

Comment 1 Eric Miller 2011-02-21 15:45:55 UTC
Created attachment 479940 [details]
File: backtrace

Comment 2 Tim Waugh 2011-02-21 16:10:57 UTC
Please attach the PPD file for the queue you were adjusting, from /etc/cups/ppd/.  Thanks.

Comment 3 Eric Miller 2011-02-21 21:16:32 UTC
Created attachment 479997 [details]
ppd for printer

Attachment added.

Comment 10 Tim Waugh 2011-02-24 17:25:37 UTC
Fixed upstream.

Comment 11 Robill 2011-02-27 23:08:56 UTC
Package: system-config-printer-1.2.6-3.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.imprimir pagina de prueba
2.modificar los valores de color normal a escla de grises
3.

Comment 12 Fedora Update System 2011-03-18 17:26:11 UTC
system-config-printer-1.3.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.2-1.fc15

Comment 13 Fedora Update System 2011-03-23 04:59:24 UTC
system-config-printer-1.3.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-04-05 12:40:07 UTC
system-config-printer-1.2.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.8-1.fc14

Comment 15 Fedora Update System 2011-04-05 12:45:03 UTC
system-config-printer-1.2.8-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.8-1.fc13

Comment 16 Fedora Update System 2011-04-06 22:29:54 UTC
Package system-config-printer-1.2.8-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.2.8-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-printer-1.2.8-1.fc13
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2011-04-29 03:21:23 UTC
system-config-printer-1.2.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-05-09 20:55:50 UTC
system-config-printer-1.2.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.